Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj	(revision 2903)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLab.SpringNET-1.3.0.csproj	(revision 2904)
@@ -86,4 +86,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="HeuristicLabSpringNetPlugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
@@ -125,5 +126,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabSpringNetPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabSpringNetPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLabSpringNetPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLabSpringNetPlugin.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLabSpringNetPlugin.cs	(revision 2904)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2009 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -6,5 +27,6 @@
 
 namespace HeuristicLab.SpringNET {
-  [Plugin("HeuristicLab.SpringNET", "1.3.0")]
+  
+  [Plugin("HeuristicLab.SpringNET", "1.3.0.2849")]
   [PluginFile("HeuristicLab.SpringNET-1.3.0.dll", PluginFileType.Assembly)]
   [PluginFile("Common.Logging.dll", PluginFileType.Assembly)]
@@ -12,6 +34,5 @@
   [PluginFile("Spring.Core.dll", PluginFileType.Assembly)]
   [PluginFile("Spring.Aop.dll", PluginFileType.Assembly)]  
-  public class HeuristicLabSpringNetPlugin: PluginBase {
-
+  public class HeuristicLabSpringNetPlugin : PluginBase {
   }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLabSpringNetPlugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLabSpringNetPlugin.cs.frame	(revision 2904)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SpringNET/1.3.0/HeuristicLabSpringNetPlugin.cs.frame	(revision 2904)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2009 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.SpringNET {
+  
+  [Plugin("HeuristicLab.SpringNET", "1.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.SpringNET-1.3.0.dll", PluginFileType.Assembly)]
+  [PluginFile("Common.Logging.dll", PluginFileType.Assembly)]
+  [PluginFile("Spring.Services.dll", PluginFileType.Assembly)]
+  [PluginFile("Spring.Core.dll", PluginFileType.Assembly)]
+  [PluginFile("Spring.Aop.dll", PluginFileType.Assembly)]  
+  public class HeuristicLabSpringNetPlugin : PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Engine/3.2/HeuristicLab.Hive.Engine-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Engine/3.2/HeuristicLab.Hive.Engine-3.2.csproj	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Engine/3.2/HeuristicLab.Hive.Engine-3.2.csproj	(revision 2904)
@@ -89,5 +89,4 @@
     <Compile Include="HiveEngine.cs" />
     <Compile Include="HiveEngineEditor.cs">
-      <SubType>UserControl</SubType>
     </Compile>
     <Compile Include="HiveEngineEditor.Designer.cs">
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientCommunicator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientCommunicator.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientCommunicator.cs	(revision 2904)
@@ -39,4 +39,5 @@
 using System.Runtime.Serialization.Formatters.Binary;
 using HeuristicLab.Tracing;
+using Linq = HeuristicLab.Hive.Server.LINQDataAccess;
 
 namespace HeuristicLab.Hive.Server.Core {
@@ -60,4 +61,6 @@
     private IInternalJobManager jobManager;
     private IScheduler scheduler;
+
+    Linq.ClientDao clientDao = new Linq.ClientDao();
 
     private static int PENDING_TIMEOUT = 100;
@@ -195,12 +198,12 @@
     /// <returns></returns>
     public Response Login(ClientInfo clientInfo) {
-      ISession session = factory.GetSessionForCurrentThread();
-      ITransaction tx = null;
-
-      try {
-        IClientAdapter clientAdapter =
-          session.GetDataAdapter<ClientInfo, IClientAdapter>();
-
-        tx = session.BeginTransaction();
+    //  ISession session = factory.GetSessionForCurrentThread();
+    //  ITransaction tx = null;
+
+    //  try {
+    //    IClientAdapter clientAdapter =
+    //      session.GetDataAdapter<ClientInfo, IClientAdapter>();
+
+    //    tx = session.BeginTransaction();
 
         Response response = new Response();
@@ -215,12 +218,17 @@
 
         clientInfo.State = State.idle;
-        clientAdapter.Update(clientInfo);
+
+        if (clientDao.FindById(clientInfo.Id) == null)
+          clientDao.Insert(clientInfo); 
+        else 
+          clientDao.Update(clientInfo);
+        //clientAdapter.Update(clientInfo);
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_LOGIN_SUCCESS;
 
-        tx.Commit();
+        //tx.Commit();
         return response;
-      }
-      catch (Exception ex) {
+      //}
+      /*catch (Exception ex) {
         if (tx != null)
           tx.Rollback();
@@ -230,5 +238,5 @@
         if (session != null)
           session.EndSession();
-      }
+      } */
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientFacade.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientFacade.cs	(revision 2904)
@@ -36,5 +36,8 @@
   [ServiceBehavior(InstanceContextMode =
     InstanceContextMode.PerCall, ConcurrencyMode = ConcurrencyMode.Multiple)]
-  class ClientFacade: IClientFacade {
+  public class ClientFacade: IClientFacade {
+
+    public ClientFacade() {      
+    }
 
     private IClientCommunicator clientCommunicator =
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientManager.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ClientManager.cs	(revision 2904)
@@ -29,7 +29,12 @@
 using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.DataAccess.Interfaces;
+using HeuristicLab.Hive.Server.LINQDataAccess;
+using ClientGroup=HeuristicLab.Hive.Contracts.BusinessObjects.ClientGroup;
+using Resource=HeuristicLab.Hive.Contracts.BusinessObjects.Resource;
 
 namespace HeuristicLab.Hive.Server.Core {
   class ClientManager: IClientManager {
+
+    ClientDao clientDao = new ClientDao();
 
     ISessionFactory factory;
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/DbTestApp.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/DbTestApp.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/DbTestApp.cs	(revision 2904)
@@ -34,4 +34,5 @@
 using HeuristicLab.Hive.Server.Core;
 using HeuristicLab.Core;
+using HeuristicLab.Hive.Server.LINQDataAccess;
 
 namespace HeuristicLab.Hive.Server {
@@ -298,5 +299,5 @@
 
       IJobAdapter jobAdapter =
-        session.GetDataAdapter<Job, IJobAdapter>();
+        session.GetDataAdapter<HeuristicLab.Hive.Contracts.BusinessObjects.Job, IJobAdapter>();
 
       Stream s = jobAdapter.GetSerializedJobStream(
@@ -358,4 +359,20 @@
       IStorable restoredJob =
         PersistenceManager.RestoreFromGZip(response.Obj.SerializedJobResultData);
+    }
+
+    private void TestLINQImplementation() {      
+      ClientDao clientDao = new ClientDao();      
+      ClientInfo info = new ClientInfo();
+      info.Id = Guid.NewGuid();
+      info.FreeMemory = 1000;
+      info.Login = DateTime.Now;
+      info.Memory = 1000;
+      info.Name = "jackie";
+      info.NrOfCores = 3;
+      info.NrOfFreeCores = 2;
+      info.CpuSpeedPerCore = 2500;
+      info.State = State.idle;
+      info = clientDao.Insert(info);
+
     }
 
@@ -365,6 +382,11 @@
       //TestJobStreaming();
       //TestJobResultStreaming();
-      TestJobResultDeserialization();
-    }
+      //TestJobResultDeserialization();
+
+      TestLINQImplementation();
+
+    }
+
+
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ExecutionEngineFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ExecutionEngineFacade.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ExecutionEngineFacade.cs	(revision 2904)
@@ -29,8 +29,12 @@
 
 namespace HeuristicLab.Hive.Server.Core {
-  class ExecutionEngineFacade: IExecutionEngineFacade {
+  public class ExecutionEngineFacade: IExecutionEngineFacade {
 
     private IJobManager jobManager =
       ServiceLocator.GetJobManager();
+
+    public ExecutionEngineFacade() {
+      
+    }
 
     #region IExecutionEngineFacade Members
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/HeuristicLab.Hive.Server.Core-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/HeuristicLab.Hive.Server.Core-3.2.csproj	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/HeuristicLab.Hive.Server.Core-3.2.csproj	(revision 2904)
@@ -68,4 +68,7 @@
     <Reference Include="System" />
     <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
@@ -149,4 +152,8 @@
       <Name>HeuristicLab.Hive.Server.DataAccess-3.2</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Server.LINQDataAccess\3.2\HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj">
+      <Project>{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}</Project>
+      <Name>HeuristicLab.Hive.Server.LINQDataAccess-3.2</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
@@ -171,4 +178,7 @@
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
     </EmbeddedResource>
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ServerConsoleFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ServerConsoleFacade.cs	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ServerConsoleFacade.cs	(revision 2904)
@@ -43,4 +43,7 @@
 
     public Guid sessionID = Guid.Empty;
+
+    public ServerConsoleFacade() {      
+    }
 
     public Response Login(string username, string password) {
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/BaseDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/BaseDao.cs	(revision 2904)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/BaseDao.cs	(revision 2904)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Server.LINQDataAccess {
+  public class BaseDao {
+    public static HiveDataContext Context {
+      get {
+        return ContextFactory.Context;
+      }
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientDao.cs	(revision 2904)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientDao.cs	(revision 2904)
@@ -0,0 +1,93 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.LINQDataAccess {
+  public class ClientDao: BaseDao, IClientDao {
+
+    public ClientDao() {      
+    }
+
+    public ClientInfo FindById(Guid id) {
+      return (from client in Context.Clients
+              where client.ResourceId.Equals(id)
+              select
+                new ClientInfo {
+                  CpuSpeedPerCore = client.CPUSpeed,
+                  FreeMemory = client.FreeMemory,
+                  Id = client.ResourceId,
+                  Login = client.Login,
+                  Memory = client.Memory,
+                  Name = client.Resource.Name,
+                  NrOfCores = client.NumberOfCores,
+                  NrOfFreeCores = client.NumberOfFreeCores,
+                  State = (State)Enum.Parse(typeof(State), client.Status)
+                }
+            ).SingleOrDefault();      
+    }
+
+    public IEnumerable<ClientInfo> FindAll() {
+      return (from client in Context.Clients
+              select
+                new ClientInfo {
+                                 CpuSpeedPerCore = client.CPUSpeed,
+                                 FreeMemory = client.FreeMemory,
+                                 Id = client.ResourceId,
+                                 Login = client.Login,
+                                 Memory = client.Memory,
+                                 Name = client.Resource.Name,
+                                 NrOfCores = client.NumberOfCores,
+                                 NrOfFreeCores = client.NumberOfFreeCores,
+                                 State = (State) Enum.Parse(typeof (State), client.Status)
+                               }
+             ).ToList();
+    }
+
+ 
+    public ClientInfo Insert(ClientInfo info) {
+      Client c = new Client {
+                              CPUSpeed = info.CpuSpeedPerCore,
+                              FreeMemory = info.FreeMemory,
+                              Resource = new Resource {Name = info.Name, ResourceId = info.Id},
+                              Login = info.Login,
+                              Memory = info.Memory,
+                              NumberOfCores = info.NrOfCores,
+                              NumberOfFreeCores = info.NrOfFreeCores,
+                              Status = Enum.GetName(typeof (State), info.State)
+                            };
+
+      Context.Clients.InsertOnSubmit(c);
+      Context.SubmitChanges();
+      info.Id = c.ResourceId;
+      return info;
+    }
+
+    public void Delete(ClientInfo info) {
+      Client client = Context.Clients.SingleOrDefault(c => c.ResourceId.Equals(info.Id));
+      Context.Clients.DeleteOnSubmit(client);
+    }
+
+    public void Update(ClientInfo info) {
+      Client client = Context.Clients.SingleOrDefault(c => c.ResourceId.Equals(info.Id));
+      client.CPUSpeed = info.CpuSpeedPerCore;
+      client.FreeMemory = info.FreeMemory;
+      client.Resource.Name = info.Name;
+      client.Login = info.Login;
+      client.Memory = info.Memory;
+      client.NumberOfCores = info.NrOfCores;
+      client.NumberOfFreeCores = info.NrOfFreeCores;
+      client.Status = Enum.GetName(typeof (State), info.State);
+      Context.SubmitChanges();
+    }
+
+
+
+    #region IGenericDao<ClientInfo,Client> Members
+
+
+
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ContextFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ContextFactory.cs	(revision 2904)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ContextFactory.cs	(revision 2904)
@@ -0,0 +1,19 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Server.LINQDataAccess {
+  public class ContextFactory {
+    [ThreadStatic]
+    private static HiveDataContext _hiveDataContext;
+
+    public static HiveDataContext Context { 
+      get {
+        if(_hiveDataContext == null) 
+          _hiveDataContext = new HiveDataContext();
+        return _hiveDataContext;        
+      } 
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj	(revision 2903)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj	(revision 2904)
@@ -71,4 +71,9 @@
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
+    <Reference Include="System.Data.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
@@ -81,16 +86,58 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="BaseDao.cs" />
+    <Compile Include="ClientDao.cs" />
+    <Compile Include="ContextFactory.cs" />
+    <Compile Include="Hive.designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>Hive.dbml</DependentUpon>
+    </Compile>
+    <Compile Include="IClientDao.cs" />
+    <Compile Include="IGenericDao.cs" />
+    <Compile Include="IJobDao.cs" />
     <Compile Include="LINQDataAccessPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+      <DependentUpon>Settings.settings</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
+    <None Include="Hive.dbml">
+      <Generator>MSLinqToSQLGenerator</Generator>
+      <LastGenOutput>Hive.designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </None>
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.2\HeuristicLab.DataAccess-3.2.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.2\HeuristicLab.Hive.Contracts-3.2.csproj">
+      <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
+      <Name>HeuristicLab.Hive.Contracts-3.2</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Service Include="{3259AA49-8AA1-44D3-9025-A0B520596A8C}" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="app.config" />
+    <None Include="Hive.dbml.layout">
+      <DependentUpon>Hive.dbml</DependentUpon>
+    </None>
+    <None Include="Properties\Settings.settings">
+      <Generator>SettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
